#
# spec file for package lximage-qt
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lximage-qt
Version:        0.5.0
Release:        3.3
Summary:        LXQt Image Viewer
License:        GPL-2.0+
Group:          System/GUI/LXQt
Url:            http://www.lxqt.org
Source:         https://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:        https://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libfm-qt)
BuildRequires:  pkgconfig(libmenu-cache)
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  pkgconfig(xfixes)
Recommends:     %{name}-lang
Requires(post): desktop-file-utils
Requires(pre):  desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Image Viewer for LXQT and Thumbnail Generator for PCManFM-QT

%prep
%setup -q

%build
%cmake \
    -DUSE_QT5=ON \
    -DPULL_TRANSLATIONS=OFF
make %{?_smp_mflags}

%install
%cmake_install

%suse_update_desktop_file -r %{name} Graphics Viewer RasterGraphics 2DGraphics Photography
%suse_update_desktop_file -r %{name}-screenshot Utility DesktopUtility

%fdupes %{buildroot}%{_datadir}/%{name}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.??g

%changelog
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.5.0:
  * Bump version to 0.5.0 (#67)
  * Remove Core and Qt from Categories in desktop file (#64)
  * Extend README.md
  * Fix broken compatibility introduced by libfm-qt API changes. This closes lxde/lximage-qt#63.
  * Add Catalan translations
  * Quieten compiler warning
  * Code cleanup
  * Use LXQtCompilerSettings cmake module
  * Treat SVG files separately as SVG images
  * build: Update translations based on *.ui
  * Fix typo in Portuguese translation for desktop file
  * Fix typo in German translation for desktop file (#55)
  * build: Use external translations (#54)
  * ts-files removal (#53)
  * Hide cursor smartly in fullscreen mode
  * build: Use liblxqt's TranslateDesktop module
  * Adds support for GIF animation.
  * Implement an EOG-like behavior on starting By clicking on an image for the first time, the user wants to see it clearly with lximage-qt. So, the following behavior is implemented here:
  * Add --version command line option
  * Fix missing Russian translation in desktop file
  * Fix memory leak if taking screenshot with cursor
  * Polish translation updated
  * Another update
  * Improved Russian translation - thanks to uazure
  * Fix typo
  * Add Russian translation
  * Italian translation update
  * CMake: Adapt to libfm-qt Targets
  * Turn on C++11 support. This closes bug lxde/lximage-qt #36.
  * Exec should have an argument
  * all GPL files are (or any later)
  * Add release script
  * Update translations
  * Set the color table properly for scaled images
  * Add Greek (el) translation Remove needless country variant from language code
  * Corrected language code (de_DE -> de) of german translation, marked translations as done.
  * replace tabs with spaces
  * remove trailing spaces
  * replace glib with Qt for command-line parsing
  * Don't save file in private mode
  * Prevents the slideshow timeout to be set to 0 in the UI
  * Correctly include CMake modules in intree/superbuild mode
  * Remove lximage-qt from the Utilities category
  * Update README
  * Update .gitignore
  * Hungarian translations added
  * save and restore window size and maximized state
- Add keyring
- Remove lximage-qt-0.2.0-fix_desktop_file.patch: got upstreamed
* Wed Oct 29 2014 andrea@opensuse.org
- Fixed license tag according to legal team review
* Sat Oct 25 2014 andrea@opensuse.org
- new upstream version 0.3.0
* Tue May 13 2014 andrea@opensuse.org
- spec file clean up
* Mon May 12 2014 sfalken@opensuse.org
- Removed fedora spec, split into seperate subproject
  Del:  lximage-qt-Fedora_20.spec
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on openSUSE specfile
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add: lximage-qt-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Reapplied desktop file patch
  Add: 0001-fix_desktop_file.patch
* Fri May  9 2014 sfalken@opensuse.org
- Removed desktop file patch (upstream changes)
  Del:  0001-lximage_qt_screenshot_desktop.patch
* Fri May  9 2014 sfalken@opensuse.org
- Added tarball for new stable release
  Add:  lximage-qt-0.2.0.tar.xz
  Del:  _service
* Fri Apr  4 2014 sfalken@opensuse.org
- Updated patch to correct both desktop files
  Del: 0001-lximage_qt_screenshot_desktop.patch
  Add: 0001-lximage_qt_desktop_files.patch
* Fri Apr  4 2014 sfalken@opensuse.org
- Added patch to correct screenshot desktop file Categories
  Add: 0001-lximage_qt_screenshot_desktop.patch
* Fri Apr  4 2014 sfalken@opensuse.org
- Initial Source Upload
  Add: _service
  Add: lximage-qt.spec
  Add: lximage-qt.changes
